---
updatedAt: 2026-07-17T07:00:35.000Z
agentTools:
  projectIndex: https://developer.searoutes.com/llms.txt
---

# Get Forecasted weather at location

Get forecasted weather information in bulk, at a given location. By default we return weather information every 3 hours for your requested timeframe. If you do not specify a timeframe, we return the full 14 days forecast. The timestamp you pass in your request needs to be after today.

All values are expressed in the standard SI units (temperatures in Celcius degrees, humidity, cloud coverage and ice coverage in percentages, pressure in hectopascals, precipitation in millimeters, times in seconds, distances in meters, speeds in meters per second, salinity in PSU).


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "2.10.0",
    "title": "Weather",
    "description": "# Introduction\nWeather\n",
    "termsOfService": "https://searoutes.com/terms-of-service/",
    "contact": {
      "email": "support@searoutes.com",
      "url": "https://searoutes.com"
    },
    "x-logo": {
      "url": "/img/searoutes-logo-vertical-blue.svg",
      "altText": "Searoutes logo"
    }
  },
  "tags": [
    {
      "name": "Forecast",
      "description": "Forecast"
    }
  ],
  "servers": [
    {
      "url": "https://api.searoutes.com"
    }
  ],
  "paths": {
    "/weather/v2/forecast": {
      "get": {
        "operationId": "getWeatherForecast",
        "tags": [
          "Forecast"
        ],
        "summary": "Get Forecasted weather at location",
        "description": "Get forecasted weather information in bulk, at a given location. By default we return weather information every 3 hours for your requested timeframe. If you do not specify a timeframe, we return the full 14 days forecast. The timestamp you pass in your request needs to be after today.\n\nAll values are expressed in the standard SI units (temperatures in Celcius degrees, humidity, cloud coverage and ice coverage in percentages, pressure in hectopascals, precipitation in millimeters, times in seconds, distances in meters, speeds in meters per second, salinity in PSU).\n",
        "parameters": [
          {
            "name": "latitude",
            "description": "Latitude\n",
            "in": "query",
            "required": true,
            "schema": {
              "example": 17.152,
              "type": "number"
            }
          },
          {
            "name": "longitude",
            "description": "Longitude\n",
            "in": "query",
            "required": true,
            "schema": {
              "example": -80.564,
              "type": "number"
            }
          },
          {
            "name": "timestamp",
            "description": "Unix timestamp, in milliseconds\n",
            "in": "query",
            "required": true,
            "schema": {
              "example": 1590429600000,
              "type": "number"
            }
          },
          {
            "name": "timeframe",
            "description": "Time window, in milliseconds\n",
            "in": "query",
            "required": false,
            "schema": {
              "example": 21600000,
              "type": "number"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "example": [
                  {
                    "latitude": 17.152,
                    "longitude": -80.564,
                    "timestamp": 1590429600000,
                    "weather": {
                      "latitude": 17,
                      "longitude": -80.5,
                      "timestamp": 1589230800000,
                      "air": {
                        "temperature": {
                          "value": 26.9,
                          "last3Hours": {
                            "max": 27.2,
                            "min": 27
                          },
                          "daily": {
                            "max": 27.3,
                            "min": 26.6
                          }
                        },
                        "humidity": 77.3,
                        "pressure": 1013.8
                      },
                      "precipitation": {
                        "last3Hours": {
                          "cumulative": 0,
                          "mean": 0
                        }
                      },
                      "wave": {
                        "height": 1.2,
                        "period": 0,
                        "length": 0,
                        "direction": 180,
                        "vector": {
                          "u": null,
                          "v": null
                        },
                        "speed": null
                      },
                      "water": {
                        "temperature": {
                          "value": 27.3,
                          "daily": {
                            "max": 27.3,
                            "min": 27.3
                          }
                        },
                        "salinity": 36.1
                      },
                      "current": {
                        "direction": 111.8,
                        "vector": {
                          "u": -0.5,
                          "v": 0.2
                        },
                        "speed": 0.5385
                      },
                      "wind": {
                        "direction": 95.6,
                        "vector": {
                          "u": -7.1,
                          "v": 0.7
                        },
                        "gust": 9.3,
                        "speed": 7.1344,
                        "beaufort": 5
                      },
                      "condition": {
                        "overall": "sun with clouds"
                      },
                      "cloudCoverage": 18.4,
                      "iceCoverage": 0,
                      "isLand": false
                    }
                  },
                  {
                    "latitude": 17.152,
                    "longitude": -80.564,
                    "timestamp": 1589232419000,
                    "weather": {
                      "latitude": 17,
                      "longitude": -80.5,
                      "timestamp": 1589241600000,
                      "air": {
                        "temperature": {
                          "value": 26.7,
                          "last3Hours": {
                            "max": 26.9,
                            "min": 26.7
                          },
                          "daily": {
                            "max": 27.3,
                            "min": 26.6
                          }
                        },
                        "humidity": 78.5,
                        "pressure": 1013
                      },
                      "precipitation": {
                        "last3Hours": {
                          "cumulative": 0.1,
                          "mean": 0.03
                        }
                      },
                      "wave": {
                        "height": 1.3,
                        "period": 0,
                        "length": 0,
                        "direction": 180,
                        "vector": {
                          "u": null,
                          "v": null
                        },
                        "speed": null
                      },
                      "water": {
                        "temperature": {
                          "value": 27.3,
                          "daily": {
                            "max": 27.3,
                            "min": 27.3
                          }
                        },
                        "salinity": 36.1
                      },
                      "current": {
                        "direction": 111.8,
                        "vector": {
                          "u": -0.5,
                          "v": 0.2
                        },
                        "speed": 0.5385
                      },
                      "wind": {
                        "direction": 95.6,
                        "vector": {
                          "u": -7.1,
                          "v": 0.7
                        },
                        "gust": 9.4,
                        "speed": 7.1344,
                        "beaufort": 5
                      },
                      "condition": {
                        "overall": "rain"
                      },
                      "cloudCoverage": 20.8,
                      "iceCoverage": 0,
                      "isLand": false
                    }
                  }
                ]
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "example": {
                  "errors": {
                    "timeframe": {
                      "value": "1000000000",
                      "msg": "timerange must be less than two weeks",
                      "param": "timeframe",
                      "location": "query"
                    }
                  }
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "source": "curl -X GET \\\n'https://api.searoutes.com/weather/v2/forecast?timestamp=1590429600000&latitude=17.152&longitude=-80.564&timeframe=21600000' \\\n-H 'x-api-key: <your-api-key-here>'\n"
          }
        ],
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Use your `x-api-key` to authenticate with our APIs. Note that your key is tied with a usage plan. You are therefore rate limited depending on your subscription. If you wish you increase your request calls, please [get in touch with us](/contact/)."
      }
    }
  }
}
```